Переполнение буфера в ktools

Дата публикации:29.11.2005
Дата изменения:24.03.2009
Всего просмотров:2163
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: CVE-2005-3863
CVE-2005-3694
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Gentoo Linux 1.x
Уязвимые версии: ktools 0.3

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует в макросе "VGETSTRING()" из-за недостаточной обработки входных данных перед вызовом функции "vsprintf()". Удаленный пользователь может с помощью специально сформированной строки вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: konst.org.ua/ktools

Решение: Установите последнюю версию с сайта производителя.

Источник:

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Ktools Buffer Overflow Vulnerability